

const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Util = imports.misc.util;
const GLib = imports.gi.GLib;
const PopupMenu = imports.ui.popupMenu;
const Gettext = imports.gettext.domain("default-settings@markbokil.com");
const _ = Gettext.gettext;

let item, userMenu;

function _onDefaultSettingsActivate() {
    Main.overview.hide();
    Util.spawnCommandLine('gnome-control-center info');
}

function init(extensionMeta) {
    userMenu = Main.panel._statusArea.userMenu.menu;
}

function enable() {
    item = new PopupMenu.PopupMenuItem(_("Default Settings"));
    item.connect('activate', Lang.bind(item, _onDefaultSettingsActivate));
    userMenu.addMenuItem(item, 6);
}

function disable() {
    if (item) {
        item.destroy();
    }
}


